/*

!----------------------------------------------------------------------------!
!                                                                            !
! Yexpert : (your) Système Expert sous Mumps GT.M et GNU/Linux               !
! Copyright (C) 2001-2015 by Hamid LOUAKED (HL).                             !
!                                                                            !
!----------------------------------------------------------------------------!

*/


var toastr = require('toastr');

function login(EWD, callback) {
  console.log('login loaded');

  $('#loginBtn').click(function(e) {

    // Login button has been clicked - try to login to Yexpert...

    e.preventDefault();
    var ac = $('#username').val();
    var vc = $('#password').val();
    if (ac === '' || vc === '') {
      //toastr.options.target = '#loginModalPanel';
      toastr.error("Vous devez saisir les codes d'accès et de vérification");
      return;
    }

    // Now use the special login message 
    // (which invokes the appropriate RPCs at the back-end)

    var message = {
      service: 'yexpert-login',
      type: 'login',
      params: {
        ac: ac,
        vc: vc
      }
    };
    EWD.send(message, function(responseObj) {
      if (!responseObj.message.error) {
        $('#loginPanel').hide();
        // successfully logged in
        // at this point we'd probably load a new fragment that sets up the application ready for use
        // signal to the main module that login is successful by emitting an event
        if (callback) {
          callback(responseObj)
        }
        else {
          EWD.emit('loggedIn', responseObj);
        }
      }
    });
  });

  $('#loginPanel').on('show.bs.modal', function() {
    setTimeout(function() {
      $('#username').focus();
      //document.getElementById('username').focus();
    },1000);
  });

  $('#loginPanelBody').keydown(function(event) {
    if (event.keyCode === 13) {
      document.getElementById('loginBtn').click();
    }
  });

  $('#loginPanel').modal({
	backdrop: 'static',
	keyboard: true
  });


  // now we can fetch the welcome message
  var message = {
    service: 'yexpert-login',
    type: 'RPC',
    params: {
      rpcName: 'XUS INTRO MSG'
    }
  };
  EWD.send(message, function(responseObj) {
    var arr = [];
    for (var i in responseObj.message.value) {
      arr.push(responseObj.message.value[i]);
    }
    $('#loginIntro').html("<pre>" + arr.join('\n') + "</pre>");
    // make the login button visible so the user can start interacting
    //  now it's safe to do so

    $('#loginBtn').show();
  });

}

module.exports = login;


